<?php
/*
Plugin Name: Feedjit Widget
Plugin URI: http://www.teguh.info/feedjit-widget-wordpress-plugin.aspx
Description: Live Traffic Feed on Your WordPress.
Version: 0.1
Author: Teguh Aditya
Author URI: http://www.teguh.info
License: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
*/
?>
<?php
/*  Copyright  2010 Feedjit Widget (email : teguhaditya@ovi.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php
error_reporting(0);
/* safe plugin source from error reporting */
?>
<?php
add_action( 'widgets_init', 'feedjit_load_widget' );

function feedjit_load_widget() {
	register_widget( 'Feedjit_by_TeguhAditya_Widget' );
}

class Feedjit_by_TeguhAditya_Widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function Feedjit_by_TeguhAditya_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'Feedjit_by_TeguhAditya_Widget', 'description' => __('This Widget will show the Live Traffic Feed your WordPress from another website', 'Feedjit_Widget') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'feedjit-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'feedjit-widget', __('Feedjit Widget', 'Feedjit_Widget'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

	/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$feedjit_width = $instance['feedjit_width'];
		$feedjit_status = $instance['feedjit_status'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		if( $feedjit_status == 'enabled') {

		echo '<center><script type="text/javascript" src="http://feedjit.com/serve/?bc=FFFFFF&tc=494949&brd1=ffffff&lnk=494949&hc=336699&ww='.$feedjit_width.'"></script></center>';
		} else {
		echo 'Live Traffic Feed Disabled';
		}

		/* After widget (defined by themes). */
		echo $after_widget;

	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['feedjit_width'] = $new_instance['feedjit_width'];
		$instance['feedjit_status'] = $new_instance['feedjit_status'];

		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => __('Live Traffic Feed', 'Live Traffic Feed'), 'feedjit_width' => '160',  'feedjit_status' => 'enabled' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
			
		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'hybrid'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'feedjit_width' ); ?>"><?php _e('Feedjit Width:', 'feedjit_width'); ?></label>
			<input id="<?php echo $this->get_field_id( 'feedjit_width' ); ?>" name="<?php echo $this->get_field_name( 'feedjit_width' ); ?>" value="<?php echo $instance['feedjit_width']; ?>" style="width:100%;" />
		</p>		


		<p>
			<label for="<?php echo $this->get_field_id( 'feedjit_status' ); ?>"><?php _e('Widget Status:', 'feedjit_status'); ?></label> 
			<select id="<?php echo $this->get_field_id( 'feedjit_status' ); ?>" name="<?php echo $this->get_field_name( 'feedjit_status' ); ?>" class="widefat" style="width:100%;">
				<option <?php if ( 'enabled' == $instance['feedjit_status'] ) echo 'selected="selected"'; ?>>enabled</option>
				<option <?php if ( 'vertical' == $instance['feedjit_status'] ) echo 'selected="selected"'; ?>>disabled</option>
			</select>
		</p>

		

	<?php
	}
}


?>